Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManagerInternal::State Struct Reference

Internal: the state of a RagTime5ClusterManager. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, ClusterInformation > | m_idToClusterInfoMap
| map id to cluster information map More...
std::map< int, shared_ptr< RagTime5ClusterManager::Cluster > > | m_idToClusterMap
| map id to cluster map More...
std::vector< int > | m_rootIdList
| the root id list More...

## Detailed Description

Internal: the state of a RagTime5ClusterManager.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5ClusterManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idToClusterInfoMap

std::map<int, ClusterInformation> RagTime5ClusterManagerInternal::State::m_idToClusterInfoMap

map id to cluster information map

## ◆ m_idToClusterMap

std::map<int, shared_ptr<RagTime5ClusterManager::Cluster> > RagTime5ClusterManagerInternal::State::m_idToClusterMap

map id to cluster map

## ◆ m_rootIdList

std::vector<int> RagTime5ClusterManagerInternal::State::m_rootIdList

the root id list

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx